.. warning::

    This component is an *alpha*. Interfaces may change outside of the
    normal semver policy.

testing Reference
=================

.. module:: globus_sdk.testing

Functions
---------

.. autofunction:: get_last_request

.. autofunction:: register_response_set

.. autofunction:: get_response_set

.. autofunction:: load_response_set

.. autofunction:: load_response

.. autofunction:: construct_error

Classes
-------

.. autoclass:: RegisteredResponse
    :members:
    :member-order: bysource

.. autoclass:: ResponseList
    :members:
    :member-order: bysource

.. autoclass:: ResponseSet
    :members:
    :member-order: bysource
